## org.hibernate
Class NonUniqueResultException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.NonUniqueResultException

All Implemented Interfaces:
  Serializable

    public class NonUniqueResultException

extends HibernateException

Thrown when the application calls `Query.uniqueResult()` and the query returned more than one result. Unlike all other Hibernate exceptions, this one is recoverable!

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`NonUniqueResultException(int resultCount)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonUniqueResultException

    public NonUniqueResultException(int resultCount)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.